Foreman - Bug #14898

Failure when running rake config
05/02/2016 07:47 AM - Ondfej Prazak
Priority:
Category:
Target version:
Difficulty:
Pull request:

Closed
Ondfrej Prazak
Settings
https://github.com/theforeman/foreman/p

ull/3486

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

rake -- config --key max_trend --value 31

...

rake aborted!

NameError: undefined local variable or
/home/vagrant/foreman/lib/tasks/config.rake:
/home/vagrant/foreman/lib/tasks/config.rake:
/home/vagrant/foreman/lib/tasks/config.rake:
/home/vagrant/foreman/lib/tasks/config.rake:
/home/vagrant/foreman/lib/tasks/config.rake:
/home/vagrant/foreman/lib/tasks/config.rake:
/home/vagrant/.rvm/gems/ruby-2.2.4/bin/ruby_

method “val

160:in
108:in
100:in
100:in
77:1in

167:in
execut

ue' for #<ForemanConfig:0x000000100%aac8>

"parse_and_set_string'
"block in run_key_values'
“each'

“run_key_values'

‘run'

"block in <top (required)>'

able_hooks:15:in “eval'

/home/vagrant/.rvm/gems/ruby-2.2.4/bin/ruby_executable_hooks:15:in " <main>'

Related issues:

Related to Foreman - Bug #14843: foreman-rake config should print errors when... Closed 04/27/2016

Associated revisions

Revision 24859128 - 05/04/2016 10:18 AM - Ondfej Prazak

Fixes #14898 - Fix for config task
Removing undefined variable took care of it.

History

#1 - 05/02/2016 07:50 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ondrej PraZak

- Pull request https://github.com/theforeman/foreman/pull/3486 added

#2 - 05/03/2016 03:34 AM - Dominic Cleal

- Category set to Settings

- translation missing: en.field_release set to 136

#3 - 05/03/2016 03:34 AM - Dominic Cleal

- Related to Bug #14843: foreman-rake config should print errors when providing an invalid value added

#4 - 05/04/2016 11:02 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 24859f2829d4eb69609291c990833¢8178dde74d.

05/18/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/24859f2829d4eb69609291c990833c8178dde74d
http://www.tcpdf.org

